> ## Documentation Index
> Fetch the complete documentation index at: https://docs.originsai.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook Events

> Get webhook delivery event logs for an agent.
Used for the "See all events" UI.



## OpenAPI

````yaml https://originshq.b-cdn.net/openapi_sayna.json get /api/analytics/agents/{agent_id}/events
openapi: 3.1.0
info:
  title: core
  version: 0.1.0
servers: []
security: []
paths:
  /api/analytics/agents/{agent_id}/events:
    get:
      tags:
        - analytics
        - analytics
      summary: Get Webhook Events
      description: |-
        Get webhook delivery event logs for an agent.
        Used for the "See all events" UI.
      operationId: get_webhook_events_api_analytics_agents__agent_id__events_get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: integer
            title: Agent Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WebhookEventLogResponse'
                title: >-
                  Response Get Webhook Events Api Analytics Agents  Agent Id 
                  Events Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WebhookEventLogResponse:
      properties:
        id:
          type: integer
          title: Id
        agent_id:
          type: integer
          title: Agent Id
        call_id:
          type: string
          title: Call Id
        event_name:
          type: string
          title: Event Name
        response_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: Response Code
        latency_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Latency Ms
        attempt_count:
          type: integer
          title: Attempt Count
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        created_at:
          type: string
          title: Created At
      type: object
      required:
        - id
        - agent_id
        - call_id
        - event_name
        - response_code
        - latency_ms
        - attempt_count
        - error_message
        - created_at
      title: WebhookEventLogResponse
      description: Schema for webhook event log API response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````